<?php
session_start();
include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }  
?>


<html>
<head>
<title>RRB - Abonos Eventos</title>
</head>

<body>
<script language='JavaScript' src='popcalendar.js'></script>
<?php   
extract($_POST);
date_default_timezone_set("America/Mexico_City");
if(@$next!="Buscar"){
echo "<script language='JavaScript1.2' type='text/javascript'>
function cambiaetiq()
{
	if (document.busc.quest1.selectedIndex == 0)
	document.getElementById('labfil').innerHTML = 'RFC a buscar: ';
	else
	document.getElementById('labfil').innerHTML = 'N� de Referencia:';
	document.busc.quest1.select();
}

function CadenaVacia(cadena) {
if (cadena.length==0){
	return true;
	}
else {
	return false;
	}
}

function CadenaVaciaBlancos(cadena) {
var salida='';
for (var i=0;i<cadena.length;i++) {
	if (cadena.substring(i,i+1)!=' ')
		salida=salida+cadena.substring(i,i+1);
	}
if (salida.length==0){
	return true;
	}
else {
	return false;
	}
}

function valida(e)
{
	if (CadenaVaciaBlancos(e.questrfc.value)){
 	alert('Escribe el RFC por favor');
 	e.questrfc.select();
 	return false;
	}
	
	if (e.questrfc.value.length < 10)
	{
	 alert('Revisa el RFC por favor, debe contener 10 caracteres');
 	 e.questrfc.select();
 	 return false;	
	}
}
</script>";
echo "<center>"
. "<h1>Abonos</h1>"
. "<form name='busc' action='abonos_evento.php' method='post'>"
        . "<select name='quest' onChange='cambiaetiq();'>"
        . "<option value='0'>RFC</option>"
        . "<option value='1'>N� Referencia</option>"
        . "</select>"
        . "<label id='labfil' style='color:#5C3C12'> Palabra a buscar: </label>&nbsp;"
        . "<input type='text' name='quest1' value='' style='font-family: Times New Roman;text-transform:uppercase;'/>"
        . "<br>"
        . "<br>"
        . "<input type='submit' name='next' value='Buscar' onclick='return valida(this.form)' />"
        . "</form>"
. "</center>";
}//Parte 1

else{echo "<h1>Abonos</h1>";
    $f=$_POST['quest'];
    $rfcin="";
    $noref=0;
    date_default_timezone_set("America/Mexico_City");
    
    if($f==0){
        $rfcin=$_POST['quest1'];
        $mc1="select id_inver, nombre, appat, apmat from inversionista where rfc='$rfcin'";
        $mh1=mysqli_query($conexion, $mc1) or die("Error 1".mysqli_error($conexion));
            if(mysqli_affected_rows($conexion))
            {   $mq1=  mysqli_fetch_object($mh1);
                $nom=$mq1->nombre;
                $app=$mq1->appat;
                $apm=$mq1->apmat;
                echo "<center><h2>Bienvenido</h2>"
                    . "<label><b> $nom $app $apm RFC: $rfcin</b></label>"
                    . "</center>";
                $mc3="select id_ap from Apartado where rfc='$rfcin'";
                $mh3=mysqli_query($conexion, $mc3) or die("Error 4");
                $mq3=mysqli_fetch_object($mh3);
                $idAP=$mq3->id_ap;
                
                //ciclo de hbitaciones solicitadas
                $mc4="select id_abono, restante from abono_evento where id_ap=$idAP order by id_abono desc";
                $mh4=  mysqli_query($conexion, $mc4) or die ("Error 3 ".mysqli_error($conexion));
        
                while($mq4=  mysqli_fetch_object($mh4)){ 
                    $idAB=$mq4->id_abono;
                    $rest=$mq4->restante; 
                    echo "<center>Al Cuarto Apartado N� $idAB Le falta por pagar $rest"."<br>";}
               
                echo "
                    <form name='pago' action='abonos_eventos_p2.php' method='post'>
                    Fecha del abono <input type='text' id='fecha_i' name='fecha_i' value='' /><input type='image' src='ew_calendar.gif' onClick=\"popUpCalendar(this,this.form.fecha_i,'yyyy-mm-dd');return false;\" />
                    Monto<input Type='text' name='monto' />
                    Forma de pago<select name='opc'>
                    <option value='0'>Efectivo</option>
                    <option value='1'>Depósito</option>
                    <option value='2'>Regalías</option>
                    <option value='3'>Voucher</option>
                    <option value='4'>Tarjeta</option>
                    <option value='5'>Por Pagar</option>
                    </select>
                    <br>
                    <br>
                    <input type='hidden' name='idAPc' value='$idAP' />
                    <input type='hidden' name='idABc' value='$idAB' />
                    <input type='hidden' name='restc' value='$rest' />
                    <input type='submit' name='next2' value='Realizar Abono' />
                    </form>
                    </center> ";
                                            
   
    }//S� se encontrpo RFC
   
            else
            {Echo "RFC no Encontrado";}//No se encontr� RFC
        
    }//opcion RFC
    
    else {
        $noref=$_POST['quest1'];
        $mc3="select rfc from Apartado where id_ap=$noref";
        $mh3=mysqli_query($conexion, $mc3) or die("Error 4");
        $mq3=mysqli_fetch_object($mh3); 
        $rfcin2=$mq3->rfc;
        $mc1="select id_inver, nombre, appat, apmat from inversionista where rfc='$rfcin2'";
        $mh1=mysqli_query($conexion, $mc1) or die("Error 1".mysqli_error($conexion));
            if(mysqli_affected_rows($conexion))
            {   $mq1=  mysqli_fetch_object($mh1);
                $nom=$mq1->nombre;
                $app=$mq1->appat;
                $apm=$mq1->apmat;
                echo "<center><h2>Bienvenido</h2>"
                    . "<label><b> $nom $app $apm RFC: $rfcin2</b></label>"
                    . "</center>";
               
                
                $mc4="select id_abono, restante from abono_evento where id_ap=$noref order by id_abono desc";
                $mh4=  mysqli_query($conexion, $mc4) or die ("Error 3 ".mysqli_error($conexion));
        
                while($mq4=  mysqli_fetch_object($mh4)){ 
                    $idAB=$mq4->id_abono;
                    $rest=$mq4->restante; 
                    echo "<center>Al Cuarto Apartado N� $idAB Le falta por pagar $rest"."<br>";
                    
                echo "
                    <form name='pago' action='abonos_eventos_p2.php' method='post'>
                    Fecha del abono <input type='text' id='fecha_i' name='fecha_i' value='' /><input type='image' src='ew_calendar.gif' onClick=\"popUpCalendar(this,this.form.fecha_i,'yyyy-mm-dd');return false;\" />
                    Monto<input Type='text' name='monto' />
                    Forma de pago<select name='opc'>
                    <option value='0'>Efectivo</option>
                    <option value='1'>Depósito</option>
                    <option value='2'>Regalías</option>
                    <option value='3'>Voucher</option>
                    <option value='4'>Tarjeta</option>
                    <option value='5'>Por Pagar</option>
                    </select>
                    <br>
                    <br>
                    <input type='hidden' name='idAPc' value='$noref' />
                    <input type='hidden' name='restc' value='$rest' />
                    <input type='submit' name='next2' value='Realizar Abono' />
                    </form>
                    </center> ";
                    }                        
   
    }//S� se encontrpo RFC
   
            else
            {Echo "Apartado no Encontrado";}//No se encontr� RFC
      
}//opcion N� de Referencia

}//Parte 2
      
 ?>
    </body>
</html>